version: '{build}'
branches:
  only:
  - master
environment:
  GITTEST_INVASIVE_FILESYSTEM: 1

  matrix:
  - GENERATOR: "Visual Studio 11"
    ARCH: 32
  - GENERATOR: "Visual Studio 11 Win64"
    ARCH: 64
build_script:
- ps: |
    mkdir build
    cd build
    cmake -D ENABLE_TRACE=ON -D BUILD_CLAR=ON .. -G"$env:GENERATOR"
    cmake --build . --config RelWithDebInfo
test_script:
- ps: ctest -V .
